# koa2-mvc-cli

A CLI for Koa2 project.

## Getting Started

#### Install:

Firstly, install the package from npm (you'll need at least Node.js 7.6.0):

```sh
npm i -g koa2-mvc-cli
```

Alternatively, you can use Yarn to install it:

```sh
yarn global add koa2-mvc-cli
```

Once that's done, you can run this help command inside your directory:

```bash
koa2 -h
```

#### Create a project:

```bash
koa2 create my-project
```

## Documentation

Docs are available at [https://kingispeak.github.io/koa2-mvc-cli](https://kingispeak.github.io/koa2-mvc-cli)

## Issues

Feel free to submit issues and enhancement requests.

Please use [issues](https://github.com/kingispeak/koa2-mvc-cli/issues) to report specific bugs and errors.

## Contributing

Please refer to each project's style and contribution guidelines for submitting patches and additions. In general, we follow the "fork-and-pull" Git workflow.

1. **[Fork](https://help.github.com/en/github/getting-started-with-github/fork-a-repo)** this repository to your own GitHub account and then **[clone](https://help.github.com/en/github/creating-cloning-and-archiving-repositories/cloning-a-repository)** it to your local device
2. Uninstall the package if it's already installed: `npm uninstall -g koa2-mvc-cli`
3. **[Link](https://docs.npmjs.com/cli/link.html)** the package to the global module directory: `npm link`
4. You can now use `koa2` on the command line!
5. As always, you can use `npm test` to run the tests and see if your changes have broken anything.
6. Submit a **Pull request** so that we can review your changes

> Be sure to merge the latest from **upstream** before making a pull request!

## Author

Sin-Fong Lyu <kingispeak@gmail.com>

## License

[MIT](https://github.com/kingispeak/koa2-mvc-cli/blob/master/LICENSE)
