#!/usr/bin/env node

// Packages
const program = require('commander');
const { red } = require('chalk');
const currentNodeVersion = require('node-version');

// Utilities
const create = require('../packages/commands/create');
const pkg = require('../package.json');

// Throw an error if node version is too low
if (currentNodeVersion.short < 7.6) {
  console.error(
    `${red(
      'Error!'
    )} Now requires at least version 7.6 of Node. Please upgrade!`
  );
  process.exit(1);
}

program
  .version(pkg.version, '-v, --version')
  .usage('<command> [options]')
  .description(pkg.description);

program
  .command('create <app-name>')
  .description('create a new project powered by ko2-mvc-cli')
  .option('-f, --force', 'Overwrite target directory if it exists')
  .action(function(appName, options) {
    create(appName, options);
  });

program.parse(process.argv);
