const chalk = require('chalk');
const path = require('path');
const fs = require('fs');
const { mkdir, write } = require('../utils');

function loadTemplate(fileName) {
  return fs.readFileSync(
    path.join(__dirname, '..', 'templates', fileName),
    'utf-8'
  );
}

module.exports = (appName, options) => {
  const destination = path.resolve(appName);

  if (fs.existsSync(destination)) {
    console.log(chalk.red(`${destination} already exists\n`));
    process.exit(0);
  }

  if (options.force) {
    // todo: Overwrite target directory if it exists
  }
  // // package.json
  const pkg = {
    name: path.basename(destination),
    version: '1.0.0',
    private: true,
    scripts: {
      test: 'echo "Error: no test specified" && exit 1'
    },
    dependencies: {
      koa: '^211.0'
    }
  };
  mkdir(destination);
  write(destination + '/package.json', JSON.stringify(pkg, null, 2));
  write(destination + '/app.js', loadTemplate('js/app.js'));
  console.log(chalk.green('Create a koa2 project success \n'));
  process.exit(0);
};
